package com.ustadmobile.port.android.view.ext;

import java.lang.System;

@kotlin.Metadata(mv = {1, 6, 0}, k = 2, d1 = {"\u0000\u0018\n\u0000\n\u0002\u0010\u000e\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0010\b\n\u0002\b\u0002\u001a\u0016\u0010\u0000\u001a\u00020\u00012\u0006\u0010\u0002\u001a\u00020\u00032\u0006\u0010\u0004\u001a\u00020\u0001\u001a\f\u0010\u0005\u001a\u00020\u0006*\u0004\u0018\u00010\u0001\u001a\f\u0010\u0007\u001a\u00020\u0006*\u0004\u0018\u00010\u0001\u00a8\u0006\b"}, d2 = {"optional", "", "context", "Landroid/content/Context;", "field", "visibleIfNotNullOrEmpty", "", "visibleIfNullOrEmpty", "app-android_release"})
public final class StringExtKt {
    
    public static final int visibleIfNotNullOrEmpty(@org.jetbrains.annotations.Nullable()
    java.lang.String $this$visibleIfNotNullOrEmpty) {
        return 0;
    }
    
    public static final int visibleIfNullOrEmpty(@org.jetbrains.annotations.Nullable()
    java.lang.String $this$visibleIfNullOrEmpty) {
        return 0;
    }
    
    @org.jetbrains.annotations.NotNull()
    public static final java.lang.String optional(@org.jetbrains.annotations.NotNull()
    android.content.Context context, @org.jetbrains.annotations.NotNull()
    java.lang.String field) {
        return null;
    }
}